AddButton = function(name,text,_function,parent)
	Button = CreateFrame("Button",name,parent,"UIPanelButtonTemplate")
	Button:SetPoint("BOTTOMLEFT",parent,"TOPLEFT")
	Button:SetPoint("BOTTOMRIGHT",parent,"TOPRIGHT")
	Button:SetHeight(22)
	Button:SetText(text)
	Button:SetScript("OnClick",_function)
	return Button
end
local notYet = function()
	SetToasterText("Not yet implemented")
end

local closebutton = AddButton("EonTag_CloseButton","Close",function() EonTag_mainWindow:Hide() end,EonTag_mainWindow)
closebutton:SetPoint("BOTTOMLEFT",14,14)
closebutton:SetPoint("BOTTOMRIGHT",-14,14)

local lastbutton = AddButton("EonTag_EndGame_button","End Game",function() EonTag_EndGame() end,closebutton)
lastbutton = AddButton("EonTag_StartGame_button","Start Game",function() EonTag_StartGame() end,lastbutton)
lastbutton = AddButton("EonTag_HostGame_button","Host Game",function() EonTag_HostGame() end,lastbutton)
lastbutton = AddButton("EonTag_LeaveGame_button","im out",function() SendToAll(addon_prefix,"im out") end,lastbutton)
lastbutton = AddButton("EonTag_DummyPlayerGame_button","Add Dummy Player",function() PlayerJoin("WWWWWWWWWWWW") end,lastbutton)
lastbutton = AddButton("EonTag_PurgeGame_button","Purge",function() EonTag_Purge() end,lastbutton)

CreateFrame("EditBox", "EonTag_TimeSetTextBox", lastbutton, "InputBoxTemplate")
EonTag_TimeSetTextBox:SetPoint("BOTTOMLEFT",lastbutton,"TOPLEFT",7,0)
EonTag_TimeSetTextBox:SetSize(50,22)
EonTag_TimeSetTextBox:SetNumeric(true)
EonTag_TimeSetTextBox:SetAutoFocus(false)

lastbutton = AddButton("EonTag_SetTime","Set Time",EonTag_SetRoundTimer,lastbutton)
lastbutton:SetPoint("BOTTOMLEFT",EonTag_TimeSetTextBox,"BOTTOMRIGHT")
lastbutton = AddButton("EonTag_ShowStats", "Toggle stats",EonTag_ToggleStatWindow ,lastbutton)
lastbutton:SetPoint("BOTTOMLEFT",EonTag_TimeSetTextBox,"TOPLEFT",-7,0)


